> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# User's Tweets

> This endpoint return a list of user's tweets given a username



## OpenAPI

````yaml /openapi/x.openapi.json post /v1/data/x/user/tweets
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/user/tweets:
    post:
      tags:
        - User
      summary: User's Tweets
      description: This endpoint return a list of user's tweets given a username
      operationId: User_s_Tweets_post__user_tweets
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                username:
                  type: string
                user_id:
                  type: string
                include_replies:
                  type: boolean
                include_pinned:
                  type: boolean
            example:
              username: elonmusk
              user_id: '44196397'
              include_replies: false
              include_pinned: false
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_x_user_tweets_Response'
              example:
                detail: The API is limited, please try again later
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_x_user_tweets_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_x_user_tweets_Response:
      type: array
      items:
        type: object
    Post_x_user_tweets_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: integer
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````